<div class="c-menu-drilldown   js-drilldown">
    <div class="c-menu-drilldown__inner">
        <ul class="c-menu-drilldown__root   o-icon-list o-icon-list--l1">
            <f:for each="{pages}" as="page">
                <li class="{f:if(condition: '{page.children}', then: 'o-icon-list__item   has-children', else: 'o-icon-list__item')}">
                    <f:link.typolink parameter="{page.data.uid}"
                                 target="{f:if(condition: '{page.data.doktype} == 3', then: '_blank', else: '')}"
                                 class="c-menu-drilldown__link   o-icon-list__link" title="{page.data.title}">
                        <f:if condition="{page.icon} == '0'">
                            <f:then>
                                <span class="o-icon-list__icon"></span>
                            </f:then>
                            <f:else>
                                <span class="o-icon-list__icon   icon--{page.icon}"></span>
                            </f:else>

                        </f:if>

                            <span class="o-icon-list__label">
                                <f:if condition="{page.data.navTitle}">
                                    <f:then>
                                        {page.data.navTitle}
                                    </f:then>
                                    <f:else>
                                        {page.data.title}
                                    </f:else>
                                </f:if>
                            </span>
                    </f:link.typolink>
                    <f:if condition="{page.children}">
                        <f:render partial="Linklist/Children" arguments="{pages: page.children, icon: page.icon}"/>
                    </f:if>
                </li>
            </f:for>
        </ul>
    </div>
</div>
